Compiling problem

schimanski

Well-Known Member
Licensed User
Hello!

I have a problem, which i have found in the forum, but there is no answer:

"Compiling a program for the device, I got a message that ilasm.exe could not be found. It is on my PC in C:\Windows\Microsoft.Net\Framework\v2.0.50727.
If I add it to C:\Program Files\Anywhere Software\Basic4PPC Desktop then fusion.dll cannot be found as well as \yad\yad.exe.
What is wrong?"

It is the same problem then HARRY has.

Thanks

schimanski
 

schimanski

Well-Known Member
Licensed User
Yes, I'm using Basic4ppc V6.01. But i want to compile the optimate version, because I need the most spped. So i have deinstalled Net 1.1 and then i have installed Net 2.0.
 

Erel

Administrator
Staff member
Licensed User
It is always recommended to use the optimized compiler.
Make sure that this option is checked (ilasm.exe is used in the non-optimized compiler).
You will find it under Files - Compile - Optimize Compilation.

There is no need to uninstall .Net 1.1.
 

schimanski

Well-Known Member
Licensed User
Net 1.1 or Net 2.0

So I dont' need Net 2.0 to compile it? Is it enough to have Net 1.1? Then I haven't understand the help lines. :sign0013:
 

Erel

Administrator
Staff member
Licensed User
Optimized compiler requires .Net 2.0.
Nonoptimized compiler requires .Net 1.1.

There is no problem with having both .Net frameworks installed on the same computer.
 
Top